gnutls_pubkey_export_ecc_raw(3)

NAME
gnutls_pubkey_export_ecc_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_export_ecc_raw(gnutls_pubkey_t key, gnutls_ecc_curve_t * curve, gnutls_datum_t * x, gnutls_datum_t * y);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

gnutls_ecc_curve_t * curve
    will hold the curve (may be NULL)

gnutls_datum_t * x
    will hold x (may be NULL)

gnutls_datum_t * y
    will hold y (may be NULL)

DESCRIPTION
This function will export the ECC public key's parameters found in the given key. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum. This function allows for NULL parameters since 3.4.1.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/